Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Patch files

Bulk-patches file metadata. Successful entities are returned in data; per-item failures in errors.

PATCH/api/v2/{team_slug}/{app_slug}/dam/files
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
filesPatchFileItem[]required
min items 1 · max items 20
Show properties
Array of PatchFileItem
idUUIDrequired
titlestring
typestring
statusstring
Allowed:activeinactive
publicboolean
translationsFileTranslationsInput
Show properties
titleTranslationValue[]
Show properties
Array of TranslationValue
localestringrequired
valuestring
typeTranslationValue[]
Responses
200

Patched (partial success possible)

dataFile[]required
Show properties
Array of File
idUUIDrequired
urlstringrequired
titlestringrequired
typestringrequired
statusstringrequired
publicbooleanrequired
created_with_aibooleanrequired
folder_idUUIDrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
translationsobject
Show properties
titleTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
typeTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
attributesAttribute[]
Show properties
Array of Attribute
idUUIDrequired
keystringrequired
template_keystringrequired
template_namestringrequired
namestring | null
descriptionstring | null
filterablebooleanrequired
translatablebooleanrequired
valuesobject | null
translationsobject
Show properties
nameTranslation[]
descriptionTranslation[]
created_atstring<date-time>required
updated_atstring<date-time> | null
used_byAssetUsage[]
Show properties
Array of AssetUsage
idUUIDrequired
namestringrequired
slugstringrequired
typestringrequired
priorityintegerrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
errorsFileError[]required
Show properties
Array of FileError
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
filenamestring
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v2/string/string/dam/files' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "files": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "type": "string",
      "status": "active",
      "public": true,
      "translations": {
        "title": [
          {
            "locale": "string",
            "value": "string"
          }
        ],
        "type": [
          {
            "locale": "string",
            "value": "string"
          }
        ]
      }
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "string",
      "title": "string",
      "type": "string",
      "status": "string",
      "public": true,
      "created_with_ai": true,
      "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "translations": {
        "title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "type": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "attributes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "template_key": "string",
          "template_name": "string",
          "name": "string",
          "description": "string",
          "filterable": true,
          "translatable": true,
          "values": {
            "property1": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "field_id": "e68e30b1-d177-4632-b748-463bcd0eedc6",
              "value": "string",
              "type": "string",
              "image_id": "84c230fd-5520-4984-8119-37365b66fd80",
              "translation": {
                "value": [
                  {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              }
            },
            "property2": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "field_id": "e68e30b1-d177-4632-b748-463bcd0eedc6",
              "value": "string",
              "type": "string",
              "image_id": "84c230fd-5520-4984-8119-37365b66fd80",
              "translation": {
                "value": [
                  {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              }
            }
          },
          "translations": {
            "name": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ],
            "description": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "used_by": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "type": "string",
          "priority": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "filename": "string",
      "message": "string"
    }
  ]
}